org.apache.fop.layoutmgr.inline

## Class LeafNodeLayoutManager.AreaInfo

- java.lang.Object
- - org.apache.fop.layoutmgr.inline.LeafNodeLayoutManager.AreaInfo

Enclosing class:
  LeafNodeLayoutManager

    protected class LeafNodeLayoutManager.AreaInfo
    extends Object

Store information about the inline area

### Field Summary

Fields
`protected AlignmentContext` `alignmentContext` alignment context
`protected MinOptMax` `ipdArea` ipd of area
`protected boolean` `isHyphenated` true if hyphenated
`protected short` `letterSpaces` letter space count

### Constructor Summary

Constructors
Constructor and Description
`AreaInfo(short letterSpaces, MinOptMax ipd, boolean isHyphenated, AlignmentContext alignmentContext)` Construct an area information item.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### letterSpaces

    protected short letterSpaces

letter space count

#### ipdArea

    protected MinOptMax ipdArea

ipd of area

#### isHyphenated

    protected boolean isHyphenated

true if hyphenated

#### alignmentContext

    protected AlignmentContext alignmentContext

alignment context

### Constructor Detail

#### AreaInfo

    public AreaInfo(short letterSpaces,
                    MinOptMax ipd,
                    boolean isHyphenated,
                    AlignmentContext alignmentContext)

Construct an area information item.

Parameters:
  `letterSpaces` - letter space count
  `ipd` - inline progression dimension
  `isHyphenated` - true if hyphenated
  `alignmentContext` - an alignment context